Subject: Re: Define termios_1 functions for powerpc, s390, avr32 and frv

From: Jan Dittmer <[email-masked]>
Date: Thu, 13 Sep 2007 08:57:13 +0200

Paul Mackerras wrote:
> Commit f629307c857c030d5a3dd777fee37c8bb395e171 introduced uses of
> kernel_termios_to_user_termios_1 and user_termios_to_kernel_termios_1
> on all architectures.  However, powerpc, s390, avr32 and frv don't
> currently define those functions since their termios struct didn't
> need to be changed when the arbitrary baud rate stuff was added, and
> thus the kernel won't currently build on those architectures.

alpha, parisc, sh, sparc{64,}, xtensa are still broken with this error...

Jan